import Koa = require('koa');

export interface IProxy {
  [key: string]: string;
}
export interface IAppOptions {
  middlewares?: Koa.Middleware[];
  skipListen?: boolean;
  port?: number;
  proxy?: IProxy;
}

export interface IServerConfig {
  port: number;
  proxy: {
    [key: string]: string,
  };
}
